Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159158 - PHP fread() to own IP timeout after kenel update
Summary: PHP fread() to own IP timeout after kenel update
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 20:13 UTC by foxxx
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 00:47:21 UTC


Attachments (Terms of Use)

Description foxxx 2005-05-30 20:13:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
i experience a problem since the latest standard kernel update
with yum:

<?
/* host.domain.com point to the main server IP */
$url="http://host.domain.com";
$fp = fopen ($url,"r");
$buffer=fread($fp,8192);
fclose($fp);
echo $buffer;
?>

booted with kernel-2.6.11-1.14_FC3 package: OK
booted with kernel-2.6.11-1.27_FC3 package: NOT OK (timeout)

NOTE: but only if "host.domain.com" point to the executing host itself -
same with "localhost" - for all others (external) it seem to be fine

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3 php-4.3.11-2.5

How reproducible:
Always

Steps to Reproduce:
1. execute above PHP script with CGI-PHP or apache module
2.
3.
  

Actual Results:  timeout

Expected Results:  open socket, read the content

Additional info:

there is a similar description on php.net:
http://bugs.php.net/bug.php?id=32979

Comment 1 Dave Jones 2005-06-04 05:50:54 UTC
can you try the latest test kernel from
http://people.redhat.com/davej/kernels/Fedora/FC3/  please ?

that has a bug involving tcp conntrack & localhost connections.


Comment 2 Dave Jones 2005-06-04 05:51:28 UTC
that should be 'that has a bug fix' obviously :-)

Comment 3 Dave Jones 2005-07-15 20:05:59 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 4 Dave Jones 2005-10-03 00:47:21 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.